cpw.mods.fml.client.config

## Class GuiUtils

- java.lang.Object
- - cpw.mods.fml.client.config.GuiUtils

-     public class GuiUtils
      extends java.lang.Object

  This class provides several methods and constants used by the Config GUI classes.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `INVALID`
    `static java.lang.String` | `RESET_CHAR`
    `static java.lang.String` | `UNDO_CHAR`
    `static java.lang.String` | `VALID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `drawContinuousTexturedBox(int x, int y, int u, int v, int width, int height, int textureWidth, int textureHeight, int borderSize, float zLevel)` Draws a textured box of any size (smallest size is borderSize * 2 square) based on a fixed size textured box with continuous borders and filler.
    `static void` | `drawContinuousTexturedBox(int x, int y, int u, int v, int width, int height, int textureWidth, int textureHeight, int topBorder, int bottomBorder, int leftBorder, int rightBorder, float zLevel)` Draws a textured box of any size (smallest size is borderSize * 2 square) based on a fixed size textured box with continuous borders and filler.
    `static void` | `drawContinuousTexturedBox(ResourceLocation res, int x, int y, int u, int v, int width, int height, int textureWidth, int textureHeight, int borderSize, float zLevel)` Draws a textured box of any size (smallest size is borderSize * 2 square) based on a fixed size textured box with continuous borders and filler.
    `static void` | `drawContinuousTexturedBox(ResourceLocation res, int x, int y, int u, int v, int width, int height, int textureWidth, int textureHeight, int topBorder, int bottomBorder, int leftBorder, int rightBorder, float zLevel)` Draws a textured box of any size (smallest size is borderSize * 2 square) based on a fixed size textured box with continuous borders and filler.
    `static void` | `drawTexturedModalRect(int x, int y, int u, int v, int width, int height, float zLevel)`
    `static int` | `getColorCode(char c, boolean isLighter)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### UNDO_CHAR

          public static final java.lang.String UNDO_CHAR

      See Also:
        Constant Field Values

    - #### RESET_CHAR

          public static final java.lang.String RESET_CHAR

      See Also:
        Constant Field Values

    - #### VALID

          public static final java.lang.String VALID

      See Also:
        Constant Field Values

    - #### INVALID

          public static final java.lang.String INVALID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GuiUtils

          public GuiUtils()

  - ### Method Detail

    - #### getColorCode

          public static int getColorCode(char c,
                         boolean isLighter)

    - #### drawContinuousTexturedBox

          public static void drawContinuousTexturedBox(int x,
                                       int y,
                                       int u,
                                       int v,
                                       int width,
                                       int height,
                                       int textureWidth,
                                       int textureHeight,
                                       int borderSize,
                                       float zLevel)

      Draws a textured box of any size (smallest size is borderSize * 2 square) based on a fixed size textured box with continuous borders and filler. It is assumed that the desired texture ResourceLocation object has been bound using Minecraft.getMinecraft().getTextureManager().bindTexture(resourceLocation).
      Parameters:
        `x` - x axis offset
        `y` - y axis offset
        `u` - bound resource location image x offset
        `v` - bound resource location image y offset
        `width` - the desired box width
        `height` - the desired box height
        `textureWidth` - the width of the box texture in the resource location image
        `textureHeight` - the height of the box texture in the resource location image
        `borderSize` - the size of the box's borders
        `zLevel` - the zLevel to draw at

    - #### drawContinuousTexturedBox

          public static void drawContinuousTexturedBox(ResourceLocation res,
                                       int x,
                                       int y,
                                       int u,
                                       int v,
                                       int width,
                                       int height,
                                       int textureWidth,
                                       int textureHeight,
                                       int borderSize,
                                       float zLevel)

      Draws a textured box of any size (smallest size is borderSize * 2 square) based on a fixed size textured box with continuous borders and filler. The provided ResourceLocation object will be bound using Minecraft.getMinecraft().getTextureManager().bindTexture(resourceLocation).
      Parameters:
        `res` - the ResourceLocation object that contains the desired image
        `x` - x axis offset
        `y` - y axis offset
        `u` - bound resource location image x offset
        `v` - bound resource location image y offset
        `width` - the desired box width
        `height` - the desired box height
        `textureWidth` - the width of the box texture in the resource location image
        `textureHeight` - the height of the box texture in the resource location image
        `borderSize` - the size of the box's borders
        `zLevel` - the zLevel to draw at

    - #### drawContinuousTexturedBox

          public static void drawContinuousTexturedBox(ResourceLocation res,
                                       int x,
                                       int y,
                                       int u,
                                       int v,
                                       int width,
                                       int height,
                                       int textureWidth,
                                       int textureHeight,
                                       int topBorder,
                                       int bottomBorder,
                                       int leftBorder,
                                       int rightBorder,
                                       float zLevel)

      Draws a textured box of any size (smallest size is borderSize * 2 square) based on a fixed size textured box with continuous borders and filler. The provided ResourceLocation object will be bound using Minecraft.getMinecraft().getTextureManager().bindTexture(resourceLocation).
      Parameters:
        `res` - the ResourceLocation object that contains the desired image
        `x` - x axis offset
        `y` - y axis offset
        `u` - bound resource location image x offset
        `v` - bound resource location image y offset
        `width` - the desired box width
        `height` - the desired box height
        `textureWidth` - the width of the box texture in the resource location image
        `textureHeight` - the height of the box texture in the resource location image
        `topBorder` - the size of the box's top border
        `bottomBorder` - the size of the box's bottom border
        `leftBorder` - the size of the box's left border
        `rightBorder` - the size of the box's right border
        `zLevel` - the zLevel to draw at

    - #### drawContinuousTexturedBox

          public static void drawContinuousTexturedBox(int x,
                                       int y,
                                       int u,
                                       int v,
                                       int width,
                                       int height,
                                       int textureWidth,
                                       int textureHeight,
                                       int topBorder,
                                       int bottomBorder,
                                       int leftBorder,
                                       int rightBorder,
                                       float zLevel)

      Draws a textured box of any size (smallest size is borderSize * 2 square) based on a fixed size textured box with continuous borders and filler. It is assumed that the desired texture ResourceLocation object has been bound using Minecraft.getMinecraft().getTextureManager().bindTexture(resourceLocation).
      Parameters:
        `x` - x axis offset
        `y` - y axis offset
        `u` - bound resource location image x offset
        `v` - bound resource location image y offset
        `width` - the desired box width
        `height` - the desired box height
        `textureWidth` - the width of the box texture in the resource location image
        `textureHeight` - the height of the box texture in the resource location image
        `topBorder` - the size of the box's top border
        `bottomBorder` - the size of the box's bottom border
        `leftBorder` - the size of the box's left border
        `rightBorder` - the size of the box's right border
        `zLevel` - the zLevel to draw at

    - #### drawTexturedModalRect

          public static void drawTexturedModalRect(int x,
                                   int y,
                                   int u,
                                   int v,
                                   int width,
                                   int height,
                                   float zLevel)